Description
Investigate into Service Workers. Find out if some additional measures need to be taken against them

History

#1 - 09/05/2021 05:12 AM - jahoti

The following script will deregister all service workers in a page (courtesy of https://love2dev.com/blog/how-to-uninstall-a-service-worker/):

if (navigator.serviceWorker) {
navigator.serviceWorker.getRegistrations () .then(
registrations => {
for (let registration of registrations)
registration.unregister();

EDIT: removed exclamation mark in if ~koszko

#2 - 09/06/2021 10:50 AM - koszko

Unfortunately, it seems a page reload is required for this to take effect.

Additionally, is there a way service worker could intercept HTTP headers and, in them, Hachette cookies?

#3 - 09/06/2021 11:29 AM - jahoti

Unfortunately, it seems a page reload is required for this to take effect.

Additionally, is there a way service worker could intercept HTTP headers and, in them, Hachette cookies?

Ohhh- that's quite a serious issue if it is indeed possible. If it turns out to work, perhaps we could present some version of this information
installation/start-up whenever service workers are available.
https://love2dev.com/blog/how-to-uninstall-a-service-worker/
https://www.ghacks.net/2016/03/02/manage-service-workers-in-firefox-and-chrome/

#4 - 09/09/2021 05:35 PM - koszko

jahoti wrote:

perhaps we could present some version of this information on installation/start-up whenever service workers are available.

Temporarily, this is a good idea. Ultimately, we should stop using cookies for policy smuggling, even though they initially seemed like a super good
idea /

#5 - 09/10/2021 05:47 PM - koszko

| added unregistering code on koszko branch. It needs testing

#6 - 09/11/2021 05:15 AM - jahoti

Ultimately, we should stop using cookies for policy smuggling, even though they initially seemed like a super good idea :/

Somehow, it seems the biggest technical challenge for this project has become blocking (unwanted) scripts of all things.

#7 - 09/11/2021 11:44 AM - koszko

jahoti wrote:

Somehow, it seems the biggest technical challenge for this project has become blocking (unwanted) scripts of all things.

Unfortunately, | have to agree

#8 - 09/11/2021 12:22 PM - jahoti

| unfortunately couldn't test this, as | couldn't find any test cases or understand how to set one up.

#9 - 10/13/2022 12:11 PM - koszko

- Status changed from New to Rejected

Perhaps we'll get back to this at some point. Just not now
